# Feed reconciliation

Retrieves feed reconciliation items for a specific holding account.

Endpoint: GET /f/{businessCode}/{fundCode}/investment-data/holding-accounts/{holdingAccountId}/feed-reconciliation
Version: 1.0
Security: Class_oAuth

## Security:

  - `Class_oAuth` (unknown)
    oauth2 scopes: fund.read

## Path parameters:

  - `businessCode` (string, required)
    Class business code

  - `fundCode` (string, required)
    Class entity code

  - `holdingAccountId` (string, required)
    The unique identifier (GUID) of the holding account

## Query parameters:

  - `startDate` (string, required)
    Start date for the reporting period (YYYY-MM-DD)

  - `endDate` (string, required)
    End date for the reporting period (YYYY-MM-DD)

## Response 200:

  - `200` (unknown)
    Success (Ok)

## Response 200 fields (application/json):

  - `Data` (object, required)

  - `Data.ReconciliationItems` (array)
    List of feed reconciliation items

  - `Data.ReconciliationItems.Date` (string)
    The date of the reconciliation item
    Example: 2024-07-01

  - `Data.ReconciliationItems.Description` (string)
    Description of the reconciliation balance
    Example: Opening Balance

  - `Data.ReconciliationItems.LedgerQuantity` (number)
    The recorded ledger quantity

  - `Data.ReconciliationItems.LedgerBalance` (number)
    The recorded ledger balance
    Example: 3700

  - `Data.ReconciliationItems.FeedQuantity` (number)
    The feed quantity reported

  - `Data.ReconciliationItems.FeedBalance` (number)
    The feed balance reported

  - `Data.ReconciliationItems.Difference` (number)
    The computed difference between ledger and feed

  - `Errors` (array)

  - `Errors.code` (string)

  - `Errors.message` (string)

## Response 400:

  - `400` (unknown)
    Error Message

## Response 400 fields (application/json):

  - `Errors` (array)

  - `Errors.code` (string)

  - `Errors.message` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `Errors` (array)

  - `Errors.Code` (string)
    Example: API_NOT_AUTHORISED

  - `Errors.Message` (string)
    Example: Not authorised

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `Errors` (array)

  - `Errors.Code` (string)
    Example: FORBIDDEN

  - `Errors.Message` (string)
    Example: You do not have permission to access this resource.

## Response 404:

  - `404` (unknown)
    Resource not available or user does not have access to the fund

## Response 404 fields (application/json):

  - `Errors` (array)

  - `Errors.Code` (string)
    Example: API_NOT_FOUND

  - `Errors.Message` (string)
    Example: Resource not available or user does not have access to the fund.

## Response 500:

  - `500` (unknown)
    Internal Server Error

## Response 500 fields (application/json):

  - `Errors` (array)

  - `Errors.Code` (string)
    Example: API_INTERNAL_ERROR

  - `Errors.Message` (string)
    Example: An unexpected error occurred on the server. Please try again later.

## Response default:

  - `default` (unknown)
    Unexpected error

## Response default fields (application/json):

  - `Errors` (array)

  - `Errors.Code` (string)
    Example: API_INTERNAL_ERROR

  - `Errors.Message` (string)
    Example: An unexpected error occurred on the server. Please try again later.

